using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Multitenant.Tenant.Cqrs;

public class CreateTenantValidator : AbstractValidator<CreateTenantRequest>
{
    public CreateTenantValidator()
    {
        RuleFor(x => x.Name)
            .NotEmpty().WithMessage("Tenant Name is required")
            .MaximumLength(GlobalConsts.StringLengthShort);
    }
}